/*
* main.c
*
* Created: 23.10.2014 00:09:18
*  Author: sschultewolter
*/


#include <avr/io.h>
#include "millis.h"
#include "max7219.h"

int main(void)
{
	millis_init();
	max7219_init();
	max7219_intensity(1);
	
	while(millis() < 1000)
	{
		max7219_disp_test(1);
	}
	max7219_disp_test(0);
	
	while(1)
	{
		char text[] = {"0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"};
		

		static uint32_t last_millis2;
		if(millis() - last_millis2 >= 80)
		{
			last_millis2 = millis();
			
			max7219_puts(text, 1, 0, 1);
		}
	}
	return 0;
}